﻿

<nav class="navbar navbar-expand-md navbar-dark bg-dark sticky-top">

    <div class="navbar-toggler-right">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    </div>

    <div class="collapse navbar-collapse flex-column " id="navbar">

        <ul class="navbar-nav mr-auto w-100">
            <li class="nav-item active">
                <a class="nav-link" href="~/Home/Index">Home <span class="sr-only">(current)</span></a>
            </li>

            @foreach (var categoria in ViewBag.CategoriaNombre)
            {
                int contador = 0;
                foreach (var item in ViewBag.Categoria)
                {
                    if (item.Nombre_categoria == categoria)
                    {
                        string id = item.Id_categoria.ToString();
                        foreach (var product in ViewBag.Producto)
                        {
                            foreach (var marcat in ViewBag.Marca_categoria)
                            {
                                if (item.Id_categoria == product.Id_categoria && item.Id_categoria == marcat.Id_categoria && product.Id_marca == marcat.Id_marca)
                                {
                                    if (marcat.Id_estado == 1 && contador <= 0)
                                    {
                                        contador++;
                                        <li class="nav-item">
                                            <a class="nav-link globalCat" id="@id" href="~/Home/ProductoPorCategoria/@id" style="white-space:nowrap"> | @item.Nombre_categoria |</a>
                                        </li>
                                    }
                                }
                            }
                        }
                    }
                }
            }





            <li id="li_carro_login">
                <ul class="navbar-nav">
                    @{
                        if (Session["Cliente"] != null)
                        {
                            <li><a class="nav-link font-weight-bold" href="" style="color:white">@Session["Cliente"]</a></li>
                        }

                        if (Session["Admin"] != null)
                        {
                            <li><a class="nav-link font-weight-bold" href="~/AdminPanel/AdminPerfil" style="color:white">@Session["Admin"]</a></li>

                        }

                        if (Session["Admin"] != null || Session["Cliente"] != null)
                        {
                            <li><a class="nav-link font-weight-bold" href="~/LogOut/LogOut" style="color:white">Salir</a></li>
                        }

                        else
                        {
                            <li><a class="nav-link font-weight-bold" href="~/LogIn/LogIn" style="color:white">Ingresar</a></li>
                        }

                    }
                </ul>
            </li>
        </ul>

        <ul class="navbar-nav justify-content-start w-100 bg-secondary px-3">

            @foreach (var marca in ViewBag.MarcaNombre)
            {
                int i = 0;
                <li class="nav-item dropdown">

                    @foreach (var categoriaAsocMarca in ViewBag.Marca_Categoria)
                    {
                        if (categoriaAsocMarca.Marca.Nombre_marca == marca && categoriaAsocMarca.Categoria.Id_estado == 1)
                        {
                            foreach (var item in ViewBag.Producto)
                            {
                                if (item.Id_marca == categoriaAsocMarca.Id_marca && item.Id_categoria == categoriaAsocMarca.Id_categoria)
                                {
                                    if (i <= 0)
                                    {
                                        i++;
                                        <a class="nav-link dropdown-toggle" href="" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            @marca
                                        </a>
                                    }
                                }
                            }
                        }
                    }
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        @foreach (var categoriaAsocMarca in ViewBag.Marca_Categoria)
                        {
                            int j = 0;
                            if (categoriaAsocMarca.Marca.Nombre_marca == marca && categoriaAsocMarca.Categoria.Id_estado == 1)
                            {
                                string id = categoriaAsocMarca.Id_marca_categoria.ToString();

                                foreach (var item in ViewBag.Producto)
                                {
                                    if (item.Id_marca == categoriaAsocMarca.Id_marca && item.Id_categoria == categoriaAsocMarca.Id_categoria)
                                    {
                                        j++;
                                        if (j <= 1)
                                        {
                                            <a class="dropdown-item catDeMarca" id="@id" href="~/Home/ProductosPorCategoriaMarca/@id">@categoriaAsocMarca.Categoria.Nombre_categoria</a>
                                        }
                                    }
                                }
                            }
                        }
                    </div>
                </li>
            }
        </ul>
    </div>
</nav>

<script src="~/Scripts/jquery-3.4.1.min.js"></script>
<script src="~/Scripts/sweetalert.js"></script>
<script>


</script>
